# -*- coding: utf-8 -*-
# Generated by Django 1.11.10 on 2018-02-10 14:04
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0008_alter_user_username_max_length'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Data',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('data_name', models.CharField(max_length=255)),
                ('data_hash', models.CharField(max_length=255)),
                ('tag', models.CharField(max_length=255)),
                ('data_type', models.CharField(max_length=255)),
                ('data_size', models.BigIntegerField()),
                ('created_at', models.DateTimeField(auto_now=True)),
                ('description', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Job',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('job_name', models.CharField(max_length=255, null=True)),
                ('module_id', models.CharField(max_length=255)),
                ('module_idx', models.CharField(max_length=255)),
                ('job_conf', models.TextField(blank=True, null=True)),
                ('job_input', models.CharField(max_length=2000)),
                ('job_output', models.CharField(max_length=2000)),
                ('status', models.CharField(choices=[('completed', 'completed'), ('created', 'created'), ('latched', 'latched'), ('canceled', 'canceled'), ('Failed', 'Failed'), ('Running', 'Running')], max_length=255)),
                ('created_at', models.DateTimeField(auto_now=True)),
                ('start_at', models.DateTimeField(null=True)),
                ('end_at', models.DateTimeField(null=True)),
                ('job_hash', models.CharField(max_length=255)),
                ('latched_to', models.CharField(max_length=20)),
                ('process_id', models.CharField(max_length=255, null=True)),
                ('machine_name', models.CharField(max_length=255, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='JobDependency',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('job_name_src', models.CharField(max_length=255)),
                ('job_name_tgt', models.CharField(max_length=255)),
                ('status', models.CharField(choices=[('created', 'created'), ('removed', 'removed')], max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Pipe',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pipe_name', models.CharField(max_length=255)),
                ('pipe_def', models.TextField(blank=True, null=True)),
                ('status', models.CharField(choices=[('created', 'created'), ('done', 'done')], max_length=255)),
                ('created_at', models.DateTimeField(auto_now=True)),
                ('start_at', models.DateTimeField(auto_now=True)),
                ('end_at', models.DateTimeField(auto_now=True)),
                ('deleted', models.BooleanField(default=False)),
                ('featured', models.BooleanField(default=False)),
                ('desc', models.CharField(max_length=2000)),
                ('group', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='auth.Group', to_field='name')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, to_field='username')),
            ],
        ),
        migrations.CreateModel(
            name='RunningLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cmd', models.CharField(max_length=255, null=True)),
                ('process_id', models.CharField(max_length=255, null=True)),
                ('job_id', models.CharField(max_length=255, null=True)),
                ('pipe_id', models.CharField(max_length=255, null=True)),
                ('status', models.CharField(max_length=255, null=True)),
                ('start_at', models.DateTimeField(auto_now=True)),
                ('end_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.AddField(
            model_name='job',
            name='pipe',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='durian.Pipe'),
        ),
    ]
